Get Handover by ID

Retrieve a single handover by its unique identifier, including the filled-in protocol data and the generated PDF report.

Endpoint

GET https://integration-api.ram.syniotec.com/master-data/v1/handover-management/handovers/{id}

Authentication

Required: Authorization header with valid token

Path Parameters

  • id (required) - A unique identifier for the handover record

See Handovers for full entity and field descriptions.

Response

Success (200):

Returns the Handover Entity. pdfMedia is included when the handover has a PDF report.

{
  "id": "6717a3c2e4b0f81d2c9a4e15",
  "handoverId": "SH4829105736",
  "organizationId": "0b7c3f4e-2d91-4a6b-9e8f-5c1d7a2b3e40",
  "rentalId": "a3f5c8d2-1b4e-4f7a-9c6d-2e8b5a1f7c34",
  "handType": "hand_out",
  "endCustomerType": "here",
  "status": "accepted",
  "pdfMediaId": "e2c4a6b8-3d5f-4e7a-8b9c-1d2e3f4a5b6c",
  "endDate": "2026-10-14T09:32:18.512Z",
  "giver": {
    "id": "4c2a8e6f-9b1d-4f3a-a7c5-8e2d6b4f1a93",
    "firstName": "Anna",
    "lastName": "Schmidt",
    "email": "[email protected]"
  },
  "receiver": {
    "id": "7d3b9f1e-5a2c-4e8d-b6f4-3a1c9e7d5b28",
    "firstName": "Lukas",
    "lastName": "Weber",
    "email": null
  },
  "transporter": null,
  "items": [
    {
      "entityId": "91e5f7a3-6c2b-4d8e-a1f9-4b3c7e5d2a61",
      "entityType": "equipment",
      "bookingId": "c8a2e4f6-7b9d-4c1e-9a3f-5d7b1e9c3a82"
    }
  ],
  "warehouseReturn": null,
  "createdAt": "2026-10-14T09:12:04.187Z",
  "updatedAt": "2026-10-14T09:32:18.512Z",
  "pdfMedia": {
    "id": "e2c4a6b8-3d5f-4e7a-8b9c-1d2e3f4a5b6c",
    "url": "https://cf.ram.syniotec.com/media%2Fe2c4a6b8-3d5f-4e7a-8b9c-1d2e3f4a5b6c%2FExample%20GmbH_DEV009685_2026-10-14_11-32-14.pdf"
  }
}

Error (404):

{
  "status": 404,
  "success": false,
  "message": "Draft not found",
  "error": "draft_not_found",
  "tryToTranslate": true
}

Error

Error Response

Example Usage

curl -X GET "https://integration-api.ram.syniotec.com/master-data/v1/handover-management/handovers/6717a3c2e4b0f81d2c9a4e15" \
  -H "Authorization: Bearer YOUR_TOKEN"